/*
 * Code: Ben Walding
 * Date: 1 January 1998
 *
 * Protected by the GNU Public License v2.0  <distrib>/GPL.LICENSE      
 */
#ifndef _cd_info_h_
#define _cd_info_h_

#include <qwidget.h>
#include <qlistbox.h>
#include <qlabel.h>

class MyAlbumList:public QListBox {
public:
  MyAlbumList(QWidget *parent = 0, const char *name = 0);
  void update(void);
  QListBox *listbox;
};

class cdInfo:public QWidget {
  Q_OBJECT;

public:
  cdInfo(QWidget *parent = 0, const char *name = 0); /* Constructor */

protected:
  QLabel *label_title;
  QLabel *label_artist;
  QLabel *label_time;
  QListBox *tracklist;
  void resizeEvent(QResizeEvent*);

public slots:
  void display_info(int value);
};


#endif /*_cd_info_h_*/














